
browser.runtime.onMessage.addListener((request, sender, sendResponse) => {
  if (request.command === 'getSourceText') {
    let textfieldEl = browser.menus.getTargetElement(request.targetElementId);
    sendResponse({sourceText: textfieldEl.value});
  }

  if (request.command === 'unlockTextfields') {
    document.querySelectorAll('input[type="text"],textarea').forEach(e => ['disabled', 'readonly'].forEach(attribute => e.removeAttribute(attribute)));
  }
});
