function saveOptions(e) {
  browser.storage.sync.set({
    mcpWorker: document.querySelector('select[name="mcp-worker"]').value,
    mcpAPIAccessToken: document.querySelector('input[name="mcp-api-access-token"]').value,
    mcpAPISecretToken: document.querySelector('input[name="mcp-api-secret-token"]').value
  });
  e.preventDefault();
}

function restoreOptions() {
  browser.storage.sync.get('mcpWorker').then((res) => {
   document.querySelector('select[name="mcp-worker"]').value = res.mcpWorker;
  });

  browser.storage.sync.get('mcpAPIAccessToken').then((res) => {
    document.querySelector('input[name="mcp-api-access-token"]').value = res.mcpAPIAccessToken;
  });

  browser.storage.sync.get('mcpAPISecretToken').then((res) => {
   document.querySelector('input[name="mcp-api-secret-token"]').value = res.mcpAPISecretToken;
  });
}

document.addEventListener('DOMContentLoaded', restoreOptions);
document.querySelector("form").addEventListener("submit", saveOptions);
